//Disable $fn and $fa, do not change these
$fn=0;
$fa=0.01;
$fs=0.5;


m3r=1.6;
m3hr=3;
m3hh=2;

raild=5.1;

psud=4;

thickness=5;
thicknessx=6;
rail=30;
side=20;

points=
[
 [side,thickness,rail],
 [thickness,thickness,rail],
 [thickness,side,rail],
 [side,thickness,rail-thickness],
 [thickness,thickness,rail-thickness],
 [thickness,side,rail-thickness]
];

faces=
[
[0,1,2],
[3,5,4],
[0,2,5,3],
[0,3,4,1],
[2,1,4,5]
];





difference()
{
union()
{
cube([side,thickness,rail]);
cube([thickness,side,rail]);
polyhedron(points,faces);
translate([0,0,-rail+thickness]) polyhedron(points,faces);
}

translate([side/2,thicknessx,rail/2])rotate([90,0,0])cylinder(thicknessx,d=raild);    
    
translate([0,side/2,rail/2])rotate([0,90,0])cylinder(thicknessx,d=psud);    
translate([0,side/2,rail/2+psud])rotate([0,90,0])cylinder(thicknessx,d=psud);    

translate([0,side/2-psud/2,rail/2]) cube([thickness,psud,psud]);


}



