//Disable $fn and $fa, do not change these
$fn=0;
$fa=0.01;
$fs=0.5;


m3r=1.6;
m3hr=3;
m3hh=2;


backthickness=3;
backheight=105+30+30;
backdepth=60;

railx0=15;
railx1=railx0+105+30;
raily0=backdepth/4;
raily1=(3*backdepth)/4;
raild=5.1;


Couleur1        = "Orange";       
Couleur2        = "OrangeRed";

/* [PCB_Feet] */
//All dimensions are from the center foot axis

PCBLength=53.3;
PCBWidth=101.6;


// - Coin bas gauche - Low left corner X position
PCBPosX         = 34;
// - Coin bas gauche - Low left corner Y position
PCBPosY         = PCBLength;


/*PCBdx0=50.8;
PCBdy0=-15.2;

PCBdx1=0;
PCBdy1=-27.9;

PCBdx2=-51.9;
PCBdy2=-4.7;
*/

PCBdx0=14.0;
PCBdy0=2.54;

PCBdx1=15.24;
PCBdy1=2.54+5.1+27.9+15.2;

PCBdx2=15.3+50.8+24.1;
PCBdy2=2.54+5.1+27.9+15.2;

PCBdx3=15.3+50.8;
PCBdy3=2.54+5.1+27.9;

PCBdx4=15.3+50.8;
PCBdy4=2.54+5.1;

PCBdx5=96.52;
PCBdy5=2.54;







// - Heuteur pied - Feet height
FootHeight      = 7;
// - Diamètre pied - Foot diameter
FootDia         = 8;

// - Diamètre trou - Hole diameter
FootHole        = 3;  


module foot(FootDia,FootHole,FootHeight,Couleur1){
    Filet=2;
    color(Couleur1)   
    translate([0,0,0])
    difference(){
    
    difference(){
            //translate ([0,0,-Thick]){
                cylinder(d=FootDia+Filet,FootHeight, $fn=100);
                        //}
                    rotate_extrude($fn=100){
                            translate([(FootDia+Filet*2)/2,Filet,0]){
                                    minkowski(){
                                            square(10);
                                            circle(Filet, $fn=100);
                                        }
                                 }
                           }
                   }
            cylinder(d=FootHole,FootHeight+1, $fn=100);
               }          
}// Fin module foot
  
module Feet(){     
//////////////////// - PCB only visible in the preview mode - /////////////////////  
  
    
    translate([0,0,FootHeight])
    {
    
    %square ([PCBWidth,PCBLength]);
       translate([PCBWidth/2,PCBLength/2,0]){ 
        color("Olive")
        %text("PCB", halign="center", valign="center", font="Arial black");
       }
    } // Fin PCB 
  
    
////////////////////////////// - 4 Feet - //////////////////////////////////////////

    
    
    translate([PCBdx0,PCBdy0,0]){
        foot(FootDia,FootHole,FootHeight,"Yellow");
        }

    translate([PCBdx1,PCBdy1,0]){
        foot(FootDia,FootHole,FootHeight,"Yellow");
        }

    translate([PCBdx2,PCBdy2,0]){
        foot(FootDia,FootHole,FootHeight,"Yellow");
        }

    translate([PCBdx3,PCBdy3,0]){
        foot(FootDia,FootHole,FootHeight,"Yellow");
        }
        
     translate([PCBdx4,PCBdy4,0]){
        foot(FootDia,FootHole,FootHeight,"Yellow");
        }
        
    translate([PCBdx5,PCBdy5,0]){
        foot(FootDia,FootHole,FootHeight,"Yellow");
        }

        
       

}












module back()
{
 difference()
 {   
  translate([0,0,-backthickness])cube([backheight,backdepth,backthickness]);
    
  translate([railx0,raily0,-backthickness])cylinder(backthickness,d=raild);
     
  translate([railx1,raily0,-backthickness])cylinder(backthickness,d=raild);

  translate([railx0,raily1,-backthickness])cylinder(backthickness,d=raild);

  translate([railx1,raily1,-backthickness])cylinder(backthickness,d=raild);


  translate([25,backdepth/4,-backthickness])cube([(7*backheight)/18,backdepth/2,backthickness]);
     
   translate([105,backdepth/4,-backthickness])cube([(4*backheight)/18,backdepth/2,backthickness]);
    
     
     
 }   
}


back();
translate([(backheight-PCBWidth)/2,(backdepth-PCBLength)/2,0])Feet();

